Page MenuHomePhabricator

CX2: Keep paragraphs aligned between the source and the translation
Closed, ResolvedPublic

Description

In the translation editor source and translation paragraphs are presented side-by-side. This helps translators to visually identify what is translated and what is missing at a glance. Given that the content in the source and translation paragraphs can be different in length, keeping the alignment requires to add extra space between paragraphs to compensate these differences.

Currently in CX2, adding content to the translation breaks the alignment, as illustrated bellow:

Paragraphs should be always aligned. When the translation is shorter, longer, or being modified by the user in any way.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterUpdate section alignment to work with latest VE changes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2018, 9:11 AM
Pginer-WMF triaged this task as Medium priority.Feb 16 2018, 9:11 AM
Pginer-WMF raised the priority of this task from Medium to High.Feb 16 2018, 9:40 AM

Change 413099 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Update section alignment to work with latest VE changes

https://gerrit.wikimedia.org/r/413099

Change 413099 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Update section alignment to work with latest VE changes

https://gerrit.wikimedia.org/r/413099

Arrbee assigned this task to santhosh.Feb 27 2018, 7:16 AM
Arrbee moved this task from Priority backlog to QA on the Language-2018-Jan-Mar board.
Etonkovidova closed this task as Resolved.Feb 28 2018, 8:27 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in cx2-testing - the alignment seems to be fixed. Added the ticket to my post-deployment (wmf.23) list.

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 6 2018, 1:57 PM